cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail Struct Reference

`#include <default_thread_map_simt.h>`

## Public Types

using | WarpCount = gemm::GemmShape< ThreadblockShape::kM/WarpShape::kM, ThreadblockShape::kN/WarpShape::kN, kPartitionsK >
| Number of warps. More...

## Static Public Attributes

static int const | kWarpSize = 32
static int const | kGroupCount
| Computes number of thread-level matrix multiplies are needed to span a warp. More...
static int const | kThreads = WarpCount::kCount * kWarpSize
| Number of participating threads. More...
static int const | kIterations = MmaSimtPolicy::LaneMmaShape::kM * kGroupCount
| Number of iterations. More...

## Member Typedef Documentation

template<typename ThreadblockShape_ , typename WarpShape_ , typename MmaSimtPolicy_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

using cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail::WarpCount = gemm::GemmShape< ThreadblockShape::kM / WarpShape::kM, ThreadblockShape::kN / WarpShape::kN, kPartitionsK >

## Member Data Documentation

template<typename ThreadblockShape_ , typename WarpShape_ , typename MmaSimtPolicy_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail::kGroupCount

static

Initial value:
=
WarpShape::kM / (MmaSimtPolicy::WarpShape::kRow * MmaSimtPolicy::LaneMmaShape::kM)
template<typename ThreadblockShape_ , typename WarpShape_ , typename MmaSimtPolicy_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail::kIterations = MmaSimtPolicy::LaneMmaShape::kM * kGroupCount

static

template<typename ThreadblockShape_ , typename WarpShape_ , typename MmaSimtPolicy_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail::kThreads = WarpCount::kCount * kWarpSize

static

template<typename ThreadblockShape_ , typename WarpShape_ , typename MmaSimtPolicy_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapSimt< ThreadblockShape_, WarpShape_, MmaSimtPolicy_, PartitionsK, Element_, ElementsPerAccess >::Detail::kWarpSize = 32

static

The documentation for this struct was generated from the following file:

- default_thread_map_simt.h